FAQ
no, but consider just using something like this

https://github.com/creationix/nvm

On Fri, Jul 20, 2012 at 10:48 PM, ET wrote:
i've install node.js on centos minimal 6.2 using the manual:

cd /opt
wget http://nodejs.tchol.org/repocfg/el/nodejs-stable-release.noarch.rpm
yum -y localinstall --nogpgcheck nodejs-stable-release.noarch.rpm
yum -y install nodejs-compat-symlinks npm
rm -f nodejs-stable-release.noarch.rpm


it worked fine. then i found out there is a repo (yum removed before):

cd /etc/yum.repos.d
wget http://nodejs.tchol.org/repocfg/el/nodejs-stable.repo
yum update
yum install --nogpgcheck nodejs-stable-release.noarch
yum install nodejs-compat-symlinks npm



it's installing the same version (0.6.18), but now I can't install nothing
using npm!?
i've tried to remove all using:

rm -f /etc/yum.repos.d/nodejs*.*
yum remove nodejs nodejs-stable-release.noarch nodejs-compat-symlinks npm


and then reinstalled the old way, but now everytime i install, no matters if
using repo or not, i get the following error when trying to do:

npm install express

or even when I try to simply do: npm update

npm update




npm ERR! Error: Cannot find module 'block-stream'
npm ERR! at Function._resolveFilename (module.js:337:11)
npm ERR! at Function._load (module.js:279:25)
npm ERR! at Module.require (module.js:359:17)
npm ERR! at require (module.js:375:17)
npm ERR! at Object.<anonymous>
(/usr/lib/nodejs/tar/lib/entry-writer.js:7:19)
npm ERR! at Module._compile (module.js:446:26)
npm ERR! at Object..js (module.js:464:10)
npm ERR! at Module.load (module.js:353:31)
npm ERR! at Function._load (module.js:311:12)
npm ERR! at Module.require (module.js:359:17)
npm ERR! You may report this log at:
npm ERR! <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR! <npm-@googlegroups.com>
npm ERR!
npm ERR! System Linux 2.6.32-220.23.1.el6.x86_64
npm ERR! command "nodejs" "/usr/bin/npm" "update"
npm ERR! cwd /root
npm ERR! node -v v0.6.18
npm ERR! npm -v 1.1.19
npm ERR! message Cannot find module 'block-stream'
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /root/npm-debug.log
npm not ok

i found that /usr/lib/nodejs/npm/npmrc is having the following lines:

globalignorefile = /etc/npmignore
globalconfig = /etc/npmrc


but no such file (/etc/npmrc) exists on my system, reinstall node.js not
helps.

does anyone knows what the problem is?

--
Job Board: http://jobs.nodejs.org/
Posting guidelines:
https://github.com/joyent/node/wiki/Mailing-List-Posting-Guidelines
You received this message because you are subscribed to the Google
Groups "nodejs" group.
To post to this group, send email to nodejs@googlegroups.com
To unsubscribe from this group, send email to
nodejs+unsubscribe@googlegroups.com
For more options, visit this group at
http://groups.google.com/group/nodejs?hl=en?hl=en
--
Job Board: http://jobs.nodejs.org/
Posting guidelines: https://github.com/joyent/node/wiki/Mailing-List-Posting-Guidelines
You received this message because you are subscribed to the Google
Groups "nodejs" group.
To post to this group, send email to nodejs@googlegroups.com
To unsubscribe from this group, send email to
nodejs+unsubscribe@googlegroups.com
For more options, visit this group at
http://groups.google.com/group/nodejs?hl=en?hl=en

Search Discussions

Discussion Posts

Previous

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 2 of 4 | next ›
Discussion Overview
groupnodejs @
categoriesnodejs
postedJul 21, '12 at 7:28a
activeJul 24, '12 at 8:48a
posts4
users4
websitenodejs.org
irc#node.js

People

Translate

site design / logo © 2022 Grokbase